
From: Rusty Russell <rusty@rustcorp.com.au>

Jeff Garzik disliked the bonding driver knowing it was called "bond0". 
Remove that alias, and revert documentation.



---

 Documentation/networking/bonding.txt |    9 +++++++--
 drivers/net/bonding/bond_main.c      |    1 -
 2 files changed, 7 insertions(+), 3 deletions(-)

diff -puN Documentation/networking/bonding.txt~bonding-alias-revert-and-docco-fix Documentation/networking/bonding.txt
--- 25/Documentation/networking/bonding.txt~bonding-alias-revert-and-docco-fix	2004-01-20 23:24:46.000000000 -0800
+++ 25-akpm/Documentation/networking/bonding.txt	2004-01-20 23:24:46.000000000 -0800
@@ -73,8 +73,13 @@ To install ifenslave.c, do:
 Bond Configuration
 ==================
 
-In Linux kernels 2.6 and above, the module creates its own "bond?" alias, so
-any access to eg.  bond0 will load the bonding module.
+You will need to add at least the following line to /etc/modprobe.conf
+so the bonding driver will automatically load when the bond0 interface is
+configured. Refer to the modprobe.conf manual page for specific modprobe.conf
+syntax details. The Module Parameters section of this document describes each
+bonding driver parameter.
+
+	alias bond0 bonding
 
 Use standard distribution techniques to define the bond0 network interface. For
 example, on modern Red Hat distributions, create an ifcfg-bond0 file in
diff -puN drivers/net/bonding/bond_main.c~bonding-alias-revert-and-docco-fix drivers/net/bonding/bond_main.c
--- 25/drivers/net/bonding/bond_main.c~bonding-alias-revert-and-docco-fix	2004-01-20 23:24:46.000000000 -0800
+++ 25-akpm/drivers/net/bonding/bond_main.c	2004-01-20 23:24:46.000000000 -0800
@@ -4250,7 +4250,6 @@ MODULE_LICENSE("GPL");
 MODULE_DESCRIPTION(DRV_DESCRIPTION ", v" DRV_VERSION);
 MODULE_AUTHOR("Thomas Davis, tadavis@lbl.gov and many others");
 MODULE_SUPPORTED_DEVICE("most ethernet devices");
-MODULE_ALIAS("bond?");
 
 /*
  * Local variables:

_
